# -*-coding:utf-8 -*-
import os


class ARMEuler:
    def __init__(self):
        pass

    @staticmethod
    def euler_install_packages():
        file_name = "rpmlist_arm"
        file_path = os.path.realpath(__file__ + '../../' + file_name)
        with open(file_path, 'r') as f:
            euler_install_packages = f.read()
        return euler_install_packages.strip("\n").split('\n')

    @staticmethod
    def ks_script():
        file_path = os.path.realpath(__file__ + '../../euleros_arm_ks.cfg')
        with open(file_path, 'r') as ks_file:
            _ks_script = ks_file.read()
        return _ks_script
